
Python CLI - Feature #2652

Python CLI - Version 2

2012-04-26 16:15 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CLI_2.0.0   

Story Points:    

Description

Several tasks have been identified to enhance the Python CLI for the next release.

Subtasks:

Task # 2653: Move data package class to libclient Closed

Task # 2654: Allow multiple science metadata objects Closed

Task # 2657: Science Metadata Object definition Closed

Task # 2691: Create d1_certificate_python Closed

Task # 2711: Python CLI to use certificate for subject info Closed

Task # 2467: Allow "-" for input or output filename Rejected

Task # 2428: Save generated metadata Closed

Task # 2374: CLI should allow unambiguous abbreviations of commands Closed

Task # 2373: CLI history should persist beyond a single session Rejected

Task # 2806: Use Logging rather than sys.stderr.write Closed

Task # 2692: Merge all the Python testing code Rejected

Related issues:

Related to Infrastructure - Task #2552: Add "package" command to the CLI Closed 2012-03-30

Related to Infrastructure - Story #2804: CLI, new features, bugfixes Closed

History

#1 - 2012-04-26 16:32 - Andrew Pippin

h2. Design planning for CLI

h4. Example session

% dataone

DataONE Command Line Interface

package create pkg-abc

set format-id=eml://ecoinformatics.org/eml-2.1.0

package scimeta add knb-lter-gce.297.17

set format-id=text/plain

package scidata add INV-GCEM-0705a1

package scidata add INV-GCEM-0705a2

package scidata add INV-GCEM-0705a3

package save

package done

%

 

 

h4. New commands

create - upload to dataone

get __ - get from dataone and load into memory

update __ - update object in dataone
delete - delete object from dataone

new __ - create new package in memory

open __ - open new package from disk

save __ - save new package to disk

clear - clear package in memory and start over

add __ [filename] - add the content of pid to package (eventually creating the object on a MN if filename provided)

remove __ - (implies removing all associated linkages too)

link __ __ -- adds and makes "documents" linkages (implies add)

unlink __ __ -- removes linkage

show - display package in memory (display everything that is known about the package)

show __ - show contents of file (if text)(hex dump if binary?)

done - leave package mode

h4. Example command line usage

@dataone package create    [...]@

@dataone package delete @

@dataone package update     [...]@

@dataone package show @

@dataone -e 'package new pkgid; package add  ; ...'@

    or

@dataone -e 'package; new pkgid; add ; ...'@

#2 - 2012-08-02 17:30 - Andrew Pippin

- Assignee changed from Andrew Pippin to Matthew Jones
Assigning to Matt for future development overview.

#3 - 2014-08-20 01:56 - Roger Dahl

- Tracker changed from Story to Feature

#4 - 2014-10-02 17:55 - Dave Vieglais

- Start date set to 2014-10-02

- Due date set to 2014-10-02

- Target version set to Maintenance Backlog

#5 - 2015-01-13 16:21 - Dave Vieglais

- Due date changed from 2014-10-02 to 2015-01-13

- Category deleted (d1_client_cli)

- Assignee changed from Matthew Jones to Mark Flynn

- Target version changed from Maintenance Backlog to CCI-2.0.0

- Project changed from Infrastructure to Python CLI

#6 - 2015-07-01 19:55 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CLI_2.0.0

#7 - 2016-04-21 22:42 - Roger Dahl

- Assignee changed from Mark Flynn to Roger Dahl

#8 - 2018-01-09 02:42 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress

PBI status auto updated to In Progress because at least one task wasn't on New status

#9 - 2018-01-09 02:43 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

PBI status auto updated to Closed because all tasks were closed
